
Redmine - Defect #18300

Mandatory field appears only after submit 

2014-11-07 12:06 - Alberto Cennini

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I defined a filed as mandatory for a tracker/role/status, but when I open an issue the field doesn't apper initially but only when I click

on submit button.

It seems as the initial page contains only the fields with the attributes specified in the tracker defined for first.

Thanks

Environment:

Redmine version                2.4.3.stable

Ruby version                   1.9.3-p550 (2014-10-27) [x86_64-linux]

Rails version                  3.2.16

Environment                    production

Database adapter               Mysql2

SCM:

Filesystem

Redmine plugins:

extended_fields                0.2.2

redmine_hours                  0.1.0

redmine_landing_page           0.1.0

redmine_maintenance_mode       1.1.0

redmine_plugin_views_revisions 0.0.1

redmine_smart_issues_sort      0.3.1

redmine_spent_time             2.4.0

redmine_track_control          1.0.9

redmine_workload               1.0.2

History

#1 - 2014-12-04 14:59 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I think one of your plugins causes problem.

It maybe redmine_track_control plugin.

#2 - 2015-08-23 17:02 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed
